import request from '@/utils/request'

// 查询流场输入列表
export function listFlowIn(query) {
  return request({
    url: '/data/flowIn/list',
    method: 'get',
    params: query
  })
}

// 查询流场输入详细
export function getFlowIn(id) {
  return request({
    url: '/data/flowIn/' + id,
    method: 'get'
  })
}

// 新增流场输入
export function addFlowIn(data) {
  return request({
    url: '/data/flowIn',
    method: 'post',
    data: data
  })
}

// 修改流场输入
export function updateFlowIn(data) {
  return request({
    url: '/data/flowIn',
    method: 'put',
    data: data
  })
}

// 删除流场输入
export function delFlowIn(id) {
  return request({
    url: '/data/flowIn/' + id,
    method: 'delete'
  })
}

export function getFlowFieldInOption(){
  return request({
    url:'/data/flowIn/getFlowFieldInOption',
    method:'get'
  })
}
